=

# Exchange 2000 Server Release Candidate 1 Release Notes

These notes support a preliminary release of Microsoft Exchange 2000 Server.

Information in this document, including URL and other Internet Web site references, is subject to change without notice and is provided for informational purposes only. The entire risk of the use or results of the use of this document remains with the user, and Microsoft Corporation makes no warranties, either express or implied. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright 2000 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, MS, Windows, Windows NT, and Outlook are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

# About This Document

This document contains information not available in the Exchange Server Release Candidate 1 documentation. For late-breaking information please see the Web Addendum to this document on the Exchange Web site at the following URL: http://www.microsoft.com/exchange/prodinfo/2000/Support.htm

For release notes that relate to clients, see the Client Release Notes.

This document contains the following sections:

System Requirements

Setup Documentation

Installation and Upgrade

Managing Recipients

Managing Exchange Objects

Information Store

Site Replication Service

Key Management Server (KM Server)

Clustering

Outlook

Outlook Web Access

Multimedia Messaging

Routing

SMTP

Address List

Full-Text Indexing

Connectivity and Migration

Instant Messaging

Exchange Conferencing Service

Application Converter for Lotus Notes

SDK

# System Requirements

The following are the minimum requirements for each computer running Exchange.

- Intel Pentium 300 megahertz (MHz) or faster processor
- 128 megabytes (MB) of RAM (256 MB recommended)
- Microsoft Windows 2000 Server operating system
- At least 2 gigabytes (GB) of available disk space for Exchange on the drive on which you will be installing Exchange
- At least 500 MB of available disk space on the system drive
- Page file set to a minimum of twice the amount of system RAM (recommended)
- VGA or higher resolution monitor
- A CD-ROM drive

# Setup Documentation

The Exchange RC1 release should only be installed in a test environment. Installation in a production environment is not recommended or supported. The contents of the Exchange 2000 Enterprise Server RC1 CD do not represent the final packaging of Exchange 2000 Server. Further details will be available when the final products are ready to ship.

Setup and installation documentation is available on this CD in the Docs directory. You can use the following Web page to view all the chapters of the Planning and Installation book which contains the setup information: Contents.htm.

# Installation and Upgrade

## Removing Exchange 2000 Release Candidate 1

### Manually Remove Public Folder Objects from the Active Directory

When you remove Exchange 2000 RC1 from your organization, you must manually remove the entries for mail-enabled public folders that were created in the Active Directory. To remove the entries:

1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
2. On the View menu, click Advanced Features.
3. In the console tree, click the domain, and then click the System folder.
4. Right-click the Exchange folder and then click Delete.

### Stop Exchange Services Before Removing Exchange 2000 from a Cluster

In order to successfully remove Exchange 2000 RC1 from a cluster installation, you must stop all Exchange 2000 services in the cluster before you remove the Exchange 2000 virtual servers with the cluster administration tool. Once you have deleted the virtual servers, you can run setup to remove the remaining installation from the server.

## Preparing to Upgrade Your Exchange 5.5 Server Computer to Windows 2000

It is reccommened that before you upgrade your Exchange Server 5.5 computers from Windows NT 4.0 to Windows 2000 you see the following documentation: http://www.microsoft.com/TechNet/win2000/dguide/chapt-20.asp It contains important information on implementing Active Directory if you currently maintain the Exchange Server version 5.5 directory service.

## Limitation on First Exchange Administrator Account

If you run Setup using the /forestprep command line option you are prompted to designate the first Microsoft Exchange administrator. You must enter the account in the Windows NT 4.0 compatible format of <Domainname>\<Username> and the username cannot be longer than 14 characters.

## Must Install Exchange Before Installing System Management Tools Only

To successfully install the Microsoft Exchange System Management Tools on a separate server or workstation you need to have previously installed Microsoft Exchange 2000 RC1 into your enterprise.

## Expiration for Release Candidate 1

The Exchange 2000 Release Candidate 1 is considered a fully functional promotional version of the product. This release has been programmed to expire 120 days after installation. The Exchange System Manger in this release will give no indication that an Exchange server in the organization is a promotional version nor give advanced warning that the Exchange server will expire.

## Installing Exchange Conference Management Server

To install Exchange Conference Management Server, select the following components from the component selection screen in setup: Microsoft Exchange Conference Management Service and Microsoft Exchange T.120 MCU Conference Service.

## Installation Into a Domain Whose Name Contains DBCS Characters Not Supported

You can not install Exchange into a Domain whose name contains Double-byte character sets (DBCS).

## Upgrading from Exchange 2000 Server Beta 3 Not Supported

Upgrading your Exchange 2000 Server Beta 3 organization is not supported. You must remove your Exchange 2000 Server Beta 3 installation before installing Exchange 2000 Server RC1.

## Reboot Required After Running Setup

After doing a new installation of Exchange 2000 server or upgrading an existing Exchange 5.5 server to an Exchange 2000 server, you must reboot the server once the installation or upgrade process has completed.

## Cross-Language Upgrades Are Not Supported in Release Candidate 1

Cross-language upgrades are not supported in Exchange 2000 Release Candidate 1. This is most relevant to Spanish and Italian customers, since they did not have a previous language version of Exchange 5.5. For these languages, the only upgrade that is supported is from the English version of Exchange 5.5 to the Spanish or Italian version of Exchange 2000.

## New Recipient Update Service Needed in Domains that Do Not Contain an Exchange 2000 Server

For each domain that does not contain an Exchange 2000 server, you must deploy a new Recipient Update Service.

## Message Size Restrictions Set on Exchange 5.5 Internet Mail Service Are Not Retained

If you have specified message size restrictions on the Internet Mail tab of the Internet Mail Service on your Exchange 5.5 server, the settings will not be retained when you upgrade. To set message size restrictions on Internet Mail in Exchange 2000:

1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
2. Navigate to the SMTP virtual server.
3. Right-click the SMTP virtual server, and then click Properties.
4. On the Messages tab, select the Limit message size to (KB) check box.
5. Type a value (in kilobytes) for the maximum size of a message. The default is 2048 KB. The minimum value is 1 KB.
6. In Limit session size to (KB), type a value to indicate the maximum total size (in kilobytes) of all messages in a given connection.

The message size limit should always be larger than the maximum message size and should be set carefully, because the connecting message transfer agent (MTA) is likely to submit the message repeatedly. The default size is 10240 KB. This value should be greater than or equal to the value entered in Limit message size to.

## Per-host Based Restrictions Set on Exchange 5.5 Internet Mail Service Are Not Retained

If you have specified per-host based restrictions on the Connection tab of the Internet Mail Service on your Exchange 5.5 server, the settings will not be retained when you upgrade. To set per-host based restrictions on Internet Mail in Exchange 2000:

1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
2. Navigate to the SMTP virtual server.
3. Right-click the SMTP virtual server, and then click Properties.
4. On the Access tab, under Connection control, click Connection.
5. In Connection, select either Only the list below or All except the list below, and then click Add.
6. In Computer, select either Single computer, Group of computers, or Domain, and then fill in the necessary information to define your selection.
7. Click OK and your entry will be added to the list of computers granted or denied access to the SMTP virtual server.

## Relay Restrictions Set on Exchange 5.5 Internet Mail Service Are Not Retained

If you have specified relay restrictions on the Routing tab of the Internet Mail Service on your Exchange 5.5 server, the settings will not be retained when you upgrade. By default, Exchange 2000 blocks computers from relaying unwanted e-mail through an SMTP virtual server. All users and computers are blocked from relaying, except those that are able to authenticate. To remove relay restrictions from a virtual server:

1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
2. Navigate to the SMTP virtual server.
3. Right-click the SMTP virtual server, and then click Properties.
4. On the Access tab, under Relay restrictions, click Relay.
5. In Relay Restrictions, click either Only the list below or All except the list below.
6. To add members to the list, click Add. Depending on your choice in step 5, this list will define who may or may not relay e-mail on this SMTP virtual server.

## Migrated Exchange 5.5 Internet Mail Service Filter (Turf Lists) Must Be Modified

If you have specified turf lists in the Registry on your Exchange 5.5 server, the settings will be retained when you upgrade, but must be appended with an @ symbol before they will be operable. To modify the migrated turf list:

1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
2. Double-click Global Settings.
3. Right-click Message Delivery, and then click Properties.
4. On the Filtering tab, under Recipients, a list of migrated recipients is displayed. Click a recipient and click Edit.
5. On Edit Recipient, in Recipient, you must have an @ symbol at the beginning of the domain name for the recipient address.
6. Repeat for each migrated recipient.

## Must Grant Write Access in All Administrative Groups that Have Both Exchange 2000 and 5.5 Servers

For each administrative group that contains or will contain both Exchange 2000 and Exchange 5.5 servers, you must grant Write permission to the "Domain EXServers" group. To do this, right-click on the administrative group and select Properties, and then go to the Security tab. Select "DomainExServers" from the Name list, and then, under Permissions, click the Allow check box next to Write.

## Members of the Administrator Group May Not Be Able to Create IIS Virtual Roots After Exchange 2000 Is Installed

If you have change permissions on an IIS virtual root, you may not be able to create or administer the virtual root after installing Exchange 2000. The solution is to install Exchange 2000 on a clean machine.

## Content Configurations Set on IMS Need to Be Manually Moved to Exchange System Manager When Using Exchange 2000 as SMTP Bridgehead

If you have specified a per-domain content configuration on an IMS, such as "all mail to microsoft.com should be set with Rich Text=Always and Attachments should be in MIME format", you must manually enter those content configuration settings into Exchange 2000's System Manager. Additionally, Exchange 5.5 allowed you to set this on each IMS, so you might have different settings on each IMS, while Exchange 2000 consolidates all settings in one global, per-organization place. All settings from all IMSs need to be migrated to the Exchange 2000 System Manager. This must be done if you have even one SMTP connector outside of your Exchange organization hosted on an Exchange 2000 server.

To see settings on an Exchange 5.5 server:

1. Using the Exchange 5.5 Administrator program, view properties on the Internet Mail Service.
2. Go to the Internet Mail tab.
3. Click the E-Mail Domain button. Each domain that has been configured can be viewed by double-clicking on the domain.

To enter settings in Exchange System Manager:

1. Navigate to Global Settings node.
2. Expand the Global Settings node by clicking the +, and then select the Internet Message Formats node. Note that there is one default format in the right-hand pane.
3. To create a new format for a specific domain, right-click on Internet Message Formats, select New, and then select Domain....
4. Enter the setting values into the Properties dialog box that appears.

# Managing Recipients

## Active Directory Connector Must Create Users To Migrate Mailboxes

When you configure a Connection Agreement to replicate Exchange 5.5 mailboxes, the Connection Agreement must create users to migrate the mailboxes to Exchange 2000. If you configure the Connection Agreement to create contacts in the same organization, mailboxes cannot be migrated to Exchange 2000.

## Removing Rights Delegated to an Organization Affects Other Roles

When you remove a user from an Exchange role using the Exchange Delegation Wizard, the wizard may also incorrectly remove rights that authorized the user to act on behalf of the organization. Removing delegation rights for the organization may cause other roles applied to the user to display as Customized. You can resolve this by using the Exchange Delegation Wizard to re-apply the remaining roles the user participates in.

## Reminder Problem after Moving Mailbox from Exchange 2000 to Exchange 5.5

If you access an Exchange 2000 mailbox's calendar through the Exchange 2000 Outlook Web Access, and then subsequently move that mailbox back to an Exchange 5.5 server, that user will experience problems with reminders for recurring appointments. The symptom of this problem is that the user will receive a reminder for every instance of the recurring appointment the first time the mailbox is accessed after the move back to Exchange 5.5. If you need to move mailboxes from Exchange 2000 to Exchange 5.5, then there is a utility available from product support that will prevent the reminders from appearing.

## Cannot Use Exchange 2000 Move Mailbox on an Exchange 5.5 Server Whose LDAP Port Is Not 389

If you have changed the LDAP port number on your Exchange 5.5 server to something other than 389, Exchange 2000's move mailbox function will not work for mailboxes on the 5.5 server. You first need to use Exchange 5.5 to move the mailbox to another Exchange 5.5 server whose LDAP port is 389, and then use Exchange 2000 to move the mailbox to an Exchange 2000 server.

## Handling Distribution Lists with Hidden Membership

Hidden distribution list (DL) memberships should not be administered from Active Directory. If you want to configure hidden DL memberships, you can Hide or Unhide them from Exchange 5.5 Server Administrator.

# Managing Exchange Objects

## Do Not Rename Exchange Objects

In Exchange 2000 Release Candidate 1, do not rename Exchange objects, such as administrative groups.

## Limitations on Naming Exchange Configuration Objects

The following characters cannot be used when naming Active Directory objects, either during Exchange Platinum Setup, or when using the System Manager.

* | ASCII 0x2a
( | ASCII 0x28
) | ASCII 0x29
\ | ASCII 0x5c
= | ASCII Ox3d
Null | ASCII 0x00

Note

This limitation applies to the naming of all Active Directory objects (for example, administrative groups, routing groups, storage groups, and so on).

"Storage Group" names can not contain DBCS characters.

## Delete the ServerEvents Folder Before Replicating

If you delete a public folder store that is replicated, and then start replication back to the recreated public folder store database, the ServerEvents folder is replicated and two instances of the ServerEvents folder are displayed. To prevent this from occurring, you must delete the ServerEvents folder before replication occurs.

## Default Public Folder Store Not Supported on Front-end Server

Before selecting This is a front-end server on the a server object, you must dismount and delete the Public Folder Store from the First Storage Group on that server. The presence of this store can cause the HTTP server to stop handling requests made to the \Public virtual directory.

## Managing Public Folders

You must administer Exchange 2000 Server and Exchange 5.5 public folders from Exchange System Manager.

## Do Not Manage Exchange Settings in Windows 2000 Sites and Services

When you configure any Exchange resource, such as Exchange servers, protocol settings, or Information Store policies, use the Exchange System Manager. If you use Windows 2000 Sites and Services to manage Exchange resources, the same property pages and settings that display in Exchange are not available. Also, Windows 2000 Sites and Services allows you to move objects that can damage your Exchange configuration and potentially cause the server to be non-functional.

## Send-as Permissions Must Be Set in Exchange 2000 System Manager

If you want to configure and use "send-as" permissions for a public folder in Exchange 2000 Server, you must set these permissions in System Manager. If you set these permissions in Exchange 5.5, the permissions are not replicated to Active Directory in Exchange 2000 Server.

## Exchange 5.5 MAPI Clients Cannot Send E-mail to Folders in New Exchange 2000 Public Folder Trees

If you create new public folder trees in Exchange 2000 with mail-enabled folders, these folders will not appear in the Global Address List of clients on Exchange 5.5 servers. MAPI clients on Exchange 5.5 servers cannot send e-mail to these folders.

## New Public Folder Trees Are Not Replicated Over Exchange version 5.5 Connectors

In Exchange 2000 you can create new public folder trees that are accessible to applications and Web browsers. These application folder hierarchies cannot be replicated over Exchange version 5.5 connectors. To replicate these application folder hierarchies between two Admin Groups, ensure that only Exchange 2000 mail bridgeheads are involved in the replication message routing and delivery.

# Information Store

## Recovering a Store After a Disaster

After you run Setup in disaster recovery mode, you must verify that there are no .Log or .Chk files in the storage group to which you want to restore a backup. The presence of either will result in failure during recovery if the log signatures on the existing logs do not match the signatures for the logs in the backup set. Verify there are no .Log or .Chk files prior to using Ntbackup.exe to restore the database.

There are two common ways that administrators can unknowingly create .Log and .Chk files. The first is to start the Microsoft Exchange Information Store service with databases checked as "Do not mount at startup time." This creates new .Log and .Chk files if the .Edb file is not present. The second is to create a new database in a new storage group and cancel the creation of the .Edb file. Before you run Ntbackup.exe to restore into the new database, delete these .Log and .Chk files.

## May Have to Reboot Server if Information Store Stops Responding

If the Information Store databases stop responding, it may be necessary to reboot the server before you can restart the Information Stores.

## Restore Must Complete Before Using the Temporary Log Directory for Another Restore

If you successively restore two databases that are part of the same storage group to the same temporary log directory, the first restore must be complete before starting the second restore. In order to complete a restore, you must select the Last Backup Set check box and the log file replay must complete. You can check the Application Log for this information. If you want to restore two databases successively from the same storage group at the same time, choose different temporary log directories.

## Do Not Specify More Than Five Databases Per Storage Group

The maximum number of databases per storage group is six, but you should not specify more than five databases per storage group. If you need to run ISINTEG (Information Store Integrity Checker), the utility will automatically mount an additional reference database, thus reaching the maximum of databases allowed per storage group.

## Do Not Specify More Than Four Storage Groups Per Server

The maximum number of storage groups per server is four. Adding more than four storage groups may cause the server to function incorrectly.

## Restoring an Exchange 2000 Database to Another Server

To do a successful restore of an Exchange 2000 database to another server for single mailbox recovery and other purposes, you need to fulfill the following requirements.

1. If the inbox is still in use, the restore (recovery) server must be put into a different forest from the server whose database you intend to restore.
2. Your restore server must be installed into an Exchange 2000 organization with the same name as the organization of the server whose database you intend to restore. This means that if the inbox is still in use, the restore server must be in different organization with the same name.
3. Your restore server must belong to an administrative group (site) with the same name as the administrative group of the server whose database you intend to restore. This means that if the inbox is still in use, the restore server must be in different organization and different administrative group with the same name.
4. The display name of the restored (destination) database must match that of the original display name, for example, Mailbox Store (servername), of the server whose database you intend to restore.

## Additional Step Needed During Disaster Recovery

When doing disaster recovery setup, a dialog box appears that says "To complete recovery, please restore your databases using NTBACKUP and reboot your machine" before setup actually finishes. You will need to click OK for setup to finish, and then restore your databases.

## Do Not Run ISINTEG or ESEUTIL

The utilities ISINTEG and ESEUTIL are not fully implemented in Exchange 2000 Release Candidate 1. We do no recommend using them on your databases.

# Site Replication Service

## Disaster Recovery Restore of a Site Replication Service Database

To restore a Site Replication Service database:

1. On the Start menu, point to Programs, then point to Administrative Tools, and then click Computer Management Services.
2. Right-click Microsoft Site Replication service.
3. Enable the service, and then start it.
4. Open the Administrative Group to which the database will be restored. Click Modify and type the Exchange 5.5 service account password.
5. Run Ntbackup.exe and restore the SRS database.

## Site Replication Service Will Not Automatically Restart After Restore

When you restore the Site Replication Service (SRS), the SRS will not automatically restart. Restart the SRS manually.

# Key Management Server (KM Server)

## Publishing Certificates Requires a Global Catalog In Every User Domain

After enrolling users in security through Key Management Server, a Global Catalog must exist in the same domain as the users, or clients will not be able to publish certificates into the directory. Additionally, the following registry entry must be set on every client machine in order for clients to publish to that global catalog:

1. From the Start menu, choose Run.
2. In Open, type regedt32.
3. Navigate to the following key: HKEY_Local_Machine\Software\Microsoft\Exchange\Exchange Provider.
4. Right-click Exchange Provider, point to New, and then click String Value.
5. Type ds server, and press Enter.
6. Right-click ds server and click Modify.
7. In Value data, type name of the global catalog server.

## SSL Certificates Not Upgraded

After you upgrading from Exchange Server 5.5, SSL will not function because the certificate information is not upgraded. To enable SSL, you can either request a new certificate, or use the existing 5.5 certificate. To use your existing certificate, you can use Key Manager (Keyring.exe) to create a backup file. To create a backup file: From the Access tab, select Certificate, and then import a certificate from a Key Manager backup file.

## Use Exchange 5.5 Key Management Server in Mixed-Mode Environments

If your organization contains both Exchange 2000 and Exchange 5.5 servers, you should use the Exchange 5.5 Key Management Server and only manage it from the Exchange 5.5 administrator program. Do not install the Exchange 2000 version of KM Server in a mixed-mode environment.

# Clustering

## Backing Up and Restoring Clustered Servers

You can use the Windows 2000 Resource Kit Ntbackup.exe and Clustrest.exe to backup and restore cluster quorums.

### Backing up data on a cluster server node

Use Backup Wizard to perform a backup of a cluster node where the cluster service is operational. On the What to Back Up page of the wizard, select Back up everything on my computer or Only back up the System State data. To back up all cluster disks owned by a node, perform the back up from that node.

If you choose Back up everything on my computer, everything on a node is backed up. The backup will include the clustering software, cluster administrative software, the contents of the cluster quorum disk, and system state data. If you choose Only back up the System State data only the quorum disk and system state data is backed up.

Before you backup:

- Be sure to use the latest NTBackup.exe available from the Exchange Web site. Do not use the version of NTBackup.exe that is included with the Windows 2000.
- Be sure the node you are performing the backup on is the owner of the cluster quorum disk. To be sure. stop the cluster service on all other nodes except the node that is running NTBackup.

### Errors Are Displayed During Backup

During backup, the following error may be displayed: “Completed with Skipped Files”, Examining the NTBackup log, both CLUSDB and CLUSDB.LOG failed to be backed up. These errors may be ignored. The MSCS directory from the Cluster quorum drive is still successfully backed up.

### Backing up data on remaining cluster nodes

After you backup the cluster quorum disk on one node, it is not necessary to back up the quorum on the remaining cluster nodes. You can also back up the clustering software, cluster administrative software, system state data, and other cluster disks on the remaining cluster nodes.

### Restoring data on a server cluster node

You can run the Restore wizard to restore the contents of a cluster quorum disk to the subdirectory %SystemRoot%\cluster\cluser_backup. Then using another tool from the Windows 2000 Resource Kit, Clusrest.exe, you can restore the contents of the %SystemRoot%\cluster\cluster_backup to the MSCS directory on the cluster quorum drive.

To restore the contents of a cluster quorum disk:

1. Restore the signature of the quorum disk if the signature of the quorum disk has changed since you backed up.
2. If the Cluster service is running, stop the Cluster service on all cluster nodes.
3. Restore the system state (containing the contents of the cluster quorum disk) using Ntbackup.exe. Ntbackup.exe puts the contents of the cluster quorum disk in subdirectory %SystemRoot%\cluster\cluster_backup.
4. At the end of restoring you are prompted to restart. Instead of restarting run Clusrest.exe to restore the content of the %SystemRoot%\cluster\cluster_backup directory to the cluster quorum disk.
5. Restart the computer.

After restarting the system verify the Cluster Service is running on the node and that the cluster quorum disk is available. Restart the Cluster Service on all remaining nodes in the cluster.

### Cluster Back Up and Restore Scenarios

Listed below are three scenarios that will require restoring your cluster. The type of failure you experience (single node, cluster quorum, both quorum and exchange) determines the steps you must follow:

Scenario 1 -- Single Cluster Node Failure: If a single node fails in the cluster (due to hardware failure), follow these steps to rebuild the node and rejoin the cluster

1. After verifying all cluster resource groups have successfully been moved to other nodes, build up the new cluster node. This will require installing Windows on the new node. Be sure to select a new machine name for the node (do not use the same machine name as the previously failed node).
2. Evict the old node from the cluster using the Cluster Administrator. Verify the evicted cluster node no longer appears as a preferred or possible owner for any cluster groups or resources.
3. Install Cluster Service on the new node and join the existing cluster.
4. Restore only System State on the node and then install Exchange on the node.
5. For each cluster group and resource, verify that the newly joined node appears as a possible owner.
6. Move an Exchange group to the newly joined node and verify that the move is successful.

Scenario 2 -- Cluster Quorum Failure: If the cluster service fails to start due to a corrupt quorum disk, follow the steps in the section Server Cluster Backup and Restore.

Scenario 3 -- Complete Cluster Failure: If all nodes fail in a quorum and the quorum disk cannot be repaired, follows these steps: Rebuild all nodes in the cluster with Windows 2000, setup cluster service on each node and recreate original Cluster group.

1. Restore only System State on each node.
2. Install Exchange on each cluster node and recreate Exchange cluster resources using same names as before.
3. Restore Exchange databases from backup.

## Do Not Configure Protocols On Clusters to Reject All IP Addresses

Do not configure protocols on clusters to reject all IP addresses. Each protocol must at least accept the IP address "LocalHost".

## Cluster Service Account Requires Exchange Administration Rights

If you are running Exchange in a cluster, the cluster service account must be granted full Exchange Administration rights.

## Certificates Fail When Exchange Virtual Server Fails Over

Certificates must be installed for each Exchange virtual server on each cluster node. If you do not install your certificates in this manner, they will fail when the Exchange virtual server fails over to another node. To install the certificate for each Exchange virtual server on each node, after each virtual server is created, you must fail it over to the other node and re-install the certificate. This ensures that the certificate is created on each node in the cluster.

## Cluster Nodes Do Not Have Permission to Update Recipients

When you create a new Recipient Update Service, in order to enable the service on a cluster virtual server, you must run Setup domainprep against each node in the cluster, identifying each node as the primary address list server. Then each physical node associated with the cluster will have sufficient permission to update recipients.

## Message Tracking May Not in Clusters

Message tracking may not work for messages passed through a cluster.

# Outlook

## Do Not Install Outlook on Your Exchange 2000 Computer

If you install Exchange 2000 Server and Outlook on the same computer, Outlook will display a warning after Exchange 2000 is installed, and will prompt you to attempt to repair the problem. If you click OK, Outlook will overwrite the MAPI32.dll file in the Winnt\System32 folder and will claim to have failed to solve the problem and ask to reboot the computer. After you reboot, you will not receive any more errors from Outlook. This is an unsupported scenario.

## Supported Operating Systems and Hardware for Outlook Multimedia Extensions

Outlook 2000 and Outlook Web Access multimedia extensions are supported with USB cameras on Windows 98 Second Edition, and Windows 2000 Professional. Non-USB camera devices are not supported. Windows 98 First Edition is not supported.

# Outlook Web Access

## Public Folders Must Exist on an Exchange 2000 Server

In order to access Public Folders with Outlook Web Access, a replica of each folder must exist on an Exchange 2000 server.

## Outlook Web Access and Web Folders Do Not Work After Upgrading or Moving Mailbox from Exchange 5.5

In some cases, an upgraded or moved user may not have an SMTP e-mail address that matches the Default Recipient Policy. In order to access the user's mailbox using Outlook Web Access or Web Folders, an SMTP e-mail address matching the Default Recipient Policy must be added to the user object. To add an SMTP e-mail address, start the Active Directory Users and Computers MMC snap-in, open the relevant user's properties, go to the E-mail Addresses tab and click the New button.

## Exchange 5.5 Outlook Web Access with Exchange 2000 Is Not Supported

Running Exchange 5.5 Outlook Web Access with Exchange 2000 Server is not supported in this release. To disable access to Exchange 5.5 Outlook Web Access:

1. In Active Directory Users and Computers MMC snap-in, choose Advanced Features from the View menu.
2. Right-click on the user object, select Properties, and then click the Exchange Advanced tab.
3. Click the Protocol Settings button.
4. Double-click HTTP.
5. On the dialog box that opens, clear the Enable for mailbox check box, then click OK.

Note that this will not disable Exchange 2000 Outlook Web Access.

# Multimedia Messaging

## Configuring VPIM Inbound and Outbound Conversion

Exchange 2000 supports the VPIM message format by converting VPIM v2 messages to the Microsoft Multimedia Message (MMM) format. This operation can be performed inbound (converting inbound VPIM messages to MMM) or outbound (converting MMM to VPIM if destined to a VPIM recipient). By default the conversion in both directions is disabled. If you need this feature enabled because your users will be communicating with VPIM users, you can enable it using any raw-mode directory editor such as ADSI Edit or LDP. For each Exchange server where you want to enable VPIM conversion, you must set the following attributes in Active Directory:

- For inbound VPIM to MMM conversion, set msExchVPIMConvertInbound to TRUE.
- For outbound MMM to VPIM conversion, set msExchVPIMConvertOutbound to TRUE.

These attributes are located on every msExchExchangeServer (Exchange 2000) object in Active Directory.

# Routing

## X.400 Connectors Should Not Be Used as Routing Group Connectors

There are a number of bugs in Exchange 2000 Release Candidate 1 relating to using X.400 connectors to connect routing groups. Upgrading the bridgehead of an X.400 connector that is being used as a 5.5 Site Connector as well as installing a new X.400 connector to connect two routing groups is not supported. The suggested workaround is to either delete the connector and recreate it as a routing group Connector or, if you prefer to use the X.400 protocol, use an Exchange 5.5 server as the bridgehead.

# SMTP

## SMTP Does Not Work if Exchange is Uninstalled

Even though SMTP is included in the Windows 2000 operating system, installing Exchange and then removing Exchange will not leave the SMTP service intact. Some of the actions Exchange performs on SMTP are not undone when Exchange is uninstalled, leaving SMTP incapable of being administered.

## Cannot Require Clients That Use Basic Authentication to Use Transport Layer Security (TLS) Encryption

If clients use basic authentication, you should not select the Requires TLS encryption check box on the SMTP Virtual Server properties to require that clients use Transport Layer Security (TLS) encryption to connect to an SMTP virtual server. You can select the check box, but it does not have any effect.

## NTLM Authentication Fails

If your existing topology is configured so that Exchange 5.5 SMTP servers communicate using Internet Mail Connector and NTLM, and you upgrade an Exchange 5.5 server to Exchange 2000, NTLM sessions will fail. You must upgrade both servers simultaneously or remove the NTLM authentication to interconnect the systems.

## SMTP Service Requires SMTP Authentication for Message Submission

For security purposes, when Exchange 2000 is installed, the SMTP service requires SMTP authentication for message submission. Server-to-server message traffic automatically authenticates using Kerberos to ensure secure message delivery. SMTP clients (such as Outlook Express or Outlook in Internet Only mode) must authenticate to submit mail, unless "Anonymous access" is enabled on the SMTP virtual server. To allow unauthenticated SMTP submission, on the SMTP virtual server properties page, on the Access tab, under Access Control, click Authentication, and then select the Anonymous access check box.

## Requiring TLS Encryption Is Not Possible

The Require TLS encryption check box under Basic Authentication on the SMTP virtual server Authentication property page does not do anything. You access this page by clicking the Access tab and clicking Authentication. It is impossible to require TLS encryption.

## Server-Side TURN/ETRN Feature Does Not Work

The server-side TURN/ETRN feature does not work. However, the client-side TURN/ETRN feature (to trigger a remote queue to send you queued messages) does work. The failure is only on the side that queues the mail (usually done at the Internet Service Provider). This server-side TURN/ETRN feature is configured on the Delivery Options tab of the SMTP connector's properties.

## Relay Check Box Does Not Work

In the SMTP virtual server properties, on the Access tab, if you click Relay, it opens the Relay Restrictions dialog box. The Allow all computer which successfully authenticate to relay, regardless of the list above check box does not work. It is checked by default, but it acts as if it is unchecked, which means that it never allows computers that successfully authenticate to relay.

# Address List

## Empty Address Lists Make Offline Address Books Unusable

Users can download offline address books to get information about other users in the organization. If an address list within the offline address book contains no recipients, users will not be able to open the offline address book or retrieve any information about users in the address book.

# Full-Text Indexing

## Server Runs Out of Disk Space With Large Catalogs

When you enable full-text indexing, an index is created on the server. If the index grows very large and the server runs out of disk space, you may want to move the index to another server. To move the index, use Catutil.exe located on the Exchange computer in the Program Files\Common Files\System\MMSearch\Bin directory. For help using this utility, type `Catutil MOVECAT /?` at the command prompt. If there is a full-text index currently running, go into System Manager where the search was started and stop the full-text indexing before running this utility. Then stop the search service by typing `net stop mssearch` at the command prompt.

## Real-Time Update Not Supported

After you have built an index on a server, you should disable automatic updates and schedule incremental updates on that server. To disable automatic updating and schedule incremental updates:

1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
2. Double-click the server where the store is located.
3. Right-click the store, and choose Properties.
4. On the Full-text Indexing tab, click to clear the Update this index automatically check box.
5. In Rebuild interval, choose an interval, or click Customize to specify your own update interval. The value you choose determines how often the index is updated.

## Backing Up or Restoring Single Indexes Not Supported

You cannot backup and restore your indexes individually. They must all be backed up or restored concurrently. To back up all indexes:

1. From the command prompt, type the following command Net stop mssearch.
2. Backup your index files from the Exchsrvr\ExchangeServer_<machinename>> directory.
3. Backup the registry file from the HKLM\Software\Microsoft\Search\1.0 directory.
4. From the command prompt, type the following command Net start mssearch.

To restore all indexes:

1. Verify that each .Mdb file that you are restoring an index for has a catalog created for it already via Exchange System Manager. The catalog may be empty, but it must exist so that there is a location to which data can be restored.
2. From the command prompt, type the following command Net stop mssearch.
3. Restore your index files to the Exchsrvr\ExchangeServer_<machinename> directory.
4. Restore the registry files to the HKLM\Software\Microsoft\Search\1.0 directory.
5. From the command prompt, type Net start mssearch.

## Documents Must Be Re-Searched If SMTP Domain Changes

URLs of messages depend on the SMTP domain that the administrator has chosen for the Exchange organization. Therefore, if the SMTP domain changes, then all documents that have been searched for full-text indexing must be re-searched. If the SMTP domain must be changed after a full search has been run, delete the catalogs affected by the change and recreate them with a new full search.

# Connectivity and Migration

## Must Specify Container in Local Domain for Succesful Directory Synchronization

When you configure your connectors for directory syncronization, you can select an export container that exisits in a domain that is remote from the local domain. However, if you select a remote OU, no delete transactions for the remote domain will be sent to the foreign postoffice. This is true even for domains that exist in the same Forest.

## Novell GroupWise 5.x Migration Requires Additional Client Configuration

One of the tasks required to migrate from GroupWise 5.x to Exchange is to install the GroupWise 5.x client on the Exchange 2000 server that performs the migration. The Migration Wizard uses the GroupWise client to access message items in GroupWise. When the client is installed, a mail profile called Novell Default Settings is created, and the profile automatically adds Microsoft Exchange Server as one of its information services. Because of this, the client prompts for an Exchange logon for each migrating user, thus halting migration.

To prevent this you must remove the Microsoft Exchange Server service from the mail profile used by GroupWise. To remove the service:

1. Run the GroupWise client.
2. From the Address Book, click File, and then click Services.
3. Remove Exchange Server from the list of installed services.

## Must Rename cc:Mail version 8.5 Import.exe and Export.exe Files Before Migration

Before you migrate from cc:Mail version 8.5, you must copy the cc:Mail files Import32.exe and Export32.exe to the Exchsrvr\Bin directory, or to the directory where you have installed Migration Wizard if you did not use the default directory. Then you must rename Import32.exe to Import.exe, and rename Export32.exe to Export.exe. Then, copy the following files to the Exchsrvr\Bin directory: Cfw803.dll, Ciw803.dll and Mew803.dll.

## Msfs32.dll Must Be the Same Language Version as Windows 2000

If you are running the English version of MSMail on a localized version of Windows 2000 Server in a language that Exchange Server 2000 does not support you must manually replace the Msfs32.dll with a version localized in the same language as your localized version of Windows 2000. Msfs32.dll is installed with Outlook and you can copy it from a computer where Outlook is installed. Installing Outlook in the localized language is not supported.

## Migrated Stationery, Preferences and Rules Folders Contain Blank Messages

When migrating cc:Mail users who have been using the Release 8 client, the Stationery, Preferences, and Views folders used to store client configuration information are migrated to Exchange. Each folder contains a message with no subject line or message body. This is the expected behavior when extracting information using the Lotus cc:Mail Export utility. These folders and the messages they contain can be deleted after migration has been run.

# Instant Messaging

## Configuring Firewall Compatibility Displays Error

The first time you use the Instant Messaging Settings tab to configure the Instant Messaging Service for firewall compatibility you will receive an error. This error occurs only once, and if you configure firewall compatibility again it should be successful.

## Configuring Instant Messaging Client System Policy Settings

You can use Instant Messaging Administrator to configure your deployed instant messaging clients with custom behaviors and settings. This can be done by using SMS, or a similar tool, to set the appropriate system registry settings on each client machine.

All policies are stored in the following registry key: Software\\Microsoft\\MessengerService\\Policies

The policies and their values are as follows:

DisableCrossPromo | 0 = not disabled; non-zero = disabled. The default is 0.
DisableUpdates | 0 = not disabled; non-zero = disabled. The default is 0.
ExchangeConn | 0 = Normal operation 1 = Exchange always primary 2 = Exchange Only
IMWarning | Text to appear when IM window is opened. The default is to use standard reminder.
DefaultNTLMDomain | Text containing desired default NTLM domain for NTLM Auth
DisableCrossPromo | This registry setting disables the ad banner space. When disabled you will only see the MSN logo with no dynamic ads or news coming from MSN.
DisableUpdates | This registry setting controls whether the client handles the automatic upgrade notices that the MSN Messenger service sends out when a new client needs to be installed.
ExchangeConn | This registry setting will allow you to control the IM service provider that is in use and visible by the client as well as the service provider that is the primary default service provider. This allows you to disable the MSN Messenger Service if you do not want clients to use the MSN Messenger IM functionality.
IMWarning | This registry setting will allow for the setting of the warning message that appears in the message window. The current default is set to display a warning that the user should not give out credit card numbers and passwords over IM sessions. If this string is set to a space “ “ the message will not appear. The string may be set to any custom message you want to display to the user.
DefaultNTLMDomain | This string value will allows you to set the location of the domain that should be used as the default for NTLM authentication

## Do Not Specify Web Server IP Address

The IP address option on the IIS virtual server that hosts the Instant Messaging virtual server must be set to All Unassigned. If you configure the IIS virtual server to respond to a specific IP address, the virtual server will not start.

## Restart Computer After Installation

After you install Instant Messaging and create your instant messaging virtual servers you must restart the computer. If you do not restart, Instant Messaging Service may fail to run.

## Active Directory Users Retain Instant Messaging Properties

After uninstalling Instant Messaging, Active Directory users who were enabled for Instant Messaging retain their Instant Messaging properties. If you reinstall Instant Messaging, those users need to be manually IM Disabled and then IM Enabled in order to be able to use Instant Messaging.

## Cannot Create or Delete Instant Messaging Virtual Servers

You cannot create or delete Instant Messaging virtual servers (home servers and routers) that are located in a parent domain from a child domain. Instead, you must create and delete Instant Messaging virtual servers from the parent domain. To create and delete Instant Messaging virtual servers, you need to have authorization to the computer that is hosting the Instant Messaging virtual server. This is needed to allow the Instant Messaging administration software to create a virtual directory under the IIS virtual Web server.

# Exchange Conferencing Service

## Installing Exchange Conference Management Service When Exchange is Running in Mixed Mode

After you install Exchange Conference Management Service into an Exchange organization that includes both Exchange 2000 and Exchange 5.5 servers, you must modify the Microsoft Exchange Conferencing service properties to log on as the Exchange 5.5 service account rather than as Local System. To change the logon account:

1. On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
2. Right-click Microsoft Exchange Conferencing, and click Properties.
3. On the Log On tab, select As Account and select the name of the Exchange 5.5 service account.

# Application Converter for Lotus Notes

## Cannot Directly Upgrade from Previous Versions of ASN Tools

You cannot directly upgrade from previous versions of ASN tools because Application Converter combines functionality from two previous products, the Application Conversion Assistant and the Application Connector. Outlook forms generated by the Application Conversion Assistant that are still in use are installed into Exchange folders and will be unaffected by installation of the new Application Converter.

Application Connector, which can be configured to replicate data periodically between Lotus Notes databases and Exchange folders, is replaced by the Connection Manager component of the Application Converter. To update to the Connection Manager:

1. Stop the Application Connector Service and uninstall it.
2. Install the new Application Connector.
3. For each existing connection, copy the .Pft file into the directory where Application Converter is installed. Use Connection Manager to make a new connection between the same Lotus Notes database and Exchange Folder. Specify the location of the .Pft file you copied.
4. Configure your replication settings.

## Errors When Installing Application Converter for Lotus Notes on a Windows 2000 Computer

If you install the Application Converter for Lotus Notes client on a computer running Windows 2000 before you install Microsoft Office 2000 or Outlook 2000, setup may fail and the following error may occur when you run Office Setup: "Internal Error 2343". To prevent this error, install Microsoft Office 2000 or Outlook 2000 before you install Application Converter for Lotus Notes client, or use an Office utility to fix the problem after you install Application Converter for Lotus Notes client. The following Knowledge Base articles contain details on this problem and the utility: Q228668, and Q234435.

## Insufficient Memory Causes Replication to Fail

You may experience replication failures when replicating with a folder than has a large number of messages (tens to hundreds of thousands). The only workaround is to make more memory available.

## Public Folder Items May Not Replicate Correctly to Lotus Notes

If you add items to the public folders using message classes that has no Lotus Notes counterpart, such as Discussions or Tasks, those items will not replicate to Lotus Notes correctly. The From and Subject fields will appear in the replicated item, but the body content will not.

## MXOCX2 Queries Do Not Support the Currency Data Type

If you create a form that uses the MXOCX2 query method and you use the currency data type in the query, you will receive an error stating that the query contains incompatible data types. Queries containing currency data type are not supported in MXOCX2.

## MXCheck, MXRadio, and MXCombo Queries Fail

If you create a form that uses the MXCheck, MXRadio, and MXCombo controls provided in MXOCX2.Dll queries submitted from these controls will fail if they are run on an Exchange 2000 server.

## Need to Reset the JIT Debugger after Notes Client Setup

You should reset the Just-in-Time (JIT) debugger setting after a Notes client setup on an Exchange Server machine. To reset, use the registry editor RegEdt32.exe to remove HKEY_LOCAL_MACHINE\Software\Microsoft\Windows NT\CurrentVersion\AeDebug. This will allow the Connectivity Controller to restart a Notes mail connector process if it failed to handle an exeption and therefore to continue normal operation.

Notes setup sets its utility "Quincy" to handle crashes that require operator intervention (to click OK) for termination of the failed process.

# SDK

## Web Store

### Web Store Schema Not Replicated Correctly in Public Folders

Applications that rely on Web store schema (OLEDB, ADO, CDO, WebForms, Workflow) may not work correctly with Public Folder stores. If you have more than one server providing storage for a particular Public Folder hierarchy, the schema will only be populated on the first such server -- the server on which the Public Folder hierarchy was originally created. If your server is the only server providing storage for a Public Folder hierarchy, the schema will be populated correctly.

This problem is most noticable in the default Public Folder hierarchy, since every server by default provides public folder storage for this tree. In this case, the schema will only be correct on the first Exchange 2000 server installed in your domain. Developers building schema-dependent applicationss in the default public folder tree should limit their testing to the first Exchange 2000 server installed in their domain.

### Microsoft Visual Interdev not supported by Web Store

You cannot use Visual Interdev to develop or debug Web sites directly in the Web Store. However, Visual Interdev may be used to construct Web sites which can then be copied into the Web Store and run directly.

### WebForms Design Preview FrontPage Client Not Supported

WebForms Design Preview Frontpage Client authoring components are not supported.

### Provider-Owned Memory is Not Supported by Web Store OLE DB Provider

The Web Store OLE DB Provider does not support provider-owned memory.

### Binary Data Should Not Be Stored in BSTRs

Binary data should not be stored in String type (BSTR) fields. To store binary data in the Web Store, use a binary field.

## Contacts

### Unique sAMAccountName Fields Required

The sAMAccountName attribute in Active Directory must be unique for each user.

## Workflow

### Workflow Event Sink Account Must Be a Member of the Privileged Workflow Authors Role

In addition to the configuration and deployment steps outlined in the Exchange 2000 SDK, you must also add the workflow event sink account to the Privileged Workflow Authors role. Failure to perform this step can result in access denied event log errors during workflow OnChange actions. To add the workflow event sink account to the Privileged Workflow Authors role:

1. From the Start menu, point to Programs, point to Administrative Tools, and then click Component Services.
2. Navigate to Users: Double-click Component Services, then double-click Computers, then double-click My Computer, then double-click COM+ Applications, then double-click Workflow Event Sink, then double-click Roles, then double-click Privileged Workflow Authors, then double-click Users.
3. Right-click Users, point to New, and then click User.
4. Locate the account that you previously configured to run the Workflow Event Sink, and choose Add. The account is listed on the Identity tab of the event sink properties.

### Limitations of Microsoft Exchange 5.5 Event Service Support

Microsoft Exchange 2000 Server RC1 provides limited support for the Microsoft Exchange 5.5 event service. For this release, you should have the following components located on the same Exchange 2000 Server:

- The Exchange 5.5 event service.
- The public or private application folder where the Exchange 5.5 event service is monitoring events.
- The private information store containing the last script author's private mailbox.

If all of these components are not located on the same server, logon failures are possible.

By default, the Exchange 5.5 event service is disabled when you install Exchange 2000 Server. If you plan to use the Exchange 5.5 event service, you should configure the Exchange 5.5 event service to start up automatically when the system starts.

The Exchange 5.5 event service is provided to support applications originally written for Exchange Server 5.5. For new applications, use the Web Store events discussed in the software development kit (SDK) documentation.

# Exchange 2000 Server Release Candidate 1 Client Release Notes

This document contains information for messaging clients not available in the Exchange Server Release Candidate 1 documentation. It is intended for distribution to clients using Exchange as their messaging server. For late-breaking information please see the Web Addendum to this document on the Exchange Web site at the following URL: http://www.microsoft.com/exchange/prodinfo/2000/Support.htm

This document contains the following sections:

Managing Exchange Objects

Outlook

Outlook Web Access

Connectivity and Migration

Instant Messaging

# Managing Exchange Objects

## New Public Folder Trees Cannot Receive Mail

In Exchange 2000 you can create new public folder trees that are accessible to applications and Web Browsers. These application folder hierarchies cannot receive mail. To send mail to a public folder you must use the default Public Folder tree installed with Exchange 2000.

# Outlook

## Only Compose and Send Multimedia Messages using HTML from Outlook 2000

Outlook 2000 multimedia extensions are only supported when run in Corporate Mode with HTML messages that are composed and sent using an Exchange 2000 server. Scenarios involving Internet Mode, Corporate Mode, and an Exchange 5.5 or earlier server, or messages that are not composed in HTML can result in unpredictable behavior.

## Outlook 2000 Multimedia Extensions Only Supported in One Mode

Outlook 2000 multimedia extensions are only supported when run in Corporate Mode with HTML messages that are composed and sent using an Exchange 2000 server. Scenarios involving Internet Mode, Corporate Mode, and an Exchange 5.5 or earlier server, or messages that are not composed in HTML can result in unpredictable behavior.

## Users Need Information to Install Outlook 2000 Extensions

Users need to go to http://MachineName/Exchweb/Bin/Emsetup.asp to install Outlook 2000 extensions.

# Outlook Web Access

## Office Installer Asks for Office CD

If you install the multimedia extensions for Outlook Web Access, and did not install HTML Source Edit as an option when you installed Office 2000, the first time you use Outlook Web Access the Office 2000 installer program will appear and ask you to insert the Office 2000 compact disk. Click Cancel to close the installer. Outlook Web Access and Office 2000 will work correctly.

## Messages Containing Both ASCII and Unicode Characters Display Incorrectly

If you are using Outlook Web Access with Microsoft Internet Explorer 5.0 and you reply to or forward a message that contains a combination of ASCII and Unicode characters, the original text may not display correctly.

To resolve this issue, download Internet Explorer 5.01 from either of the following Web sites: http://windowsupdate.microsoft.com or http://www.microsoft.com/ie.

## Exchange 5.5 Outlook Web Access with Exchange 2000 Is Not Supported

Running Exchange 5.5 Outlook Web Access with Exchange 2000 Server is not supported in this release. To disable access to Exchange 5.5 Outlook Web Access:

1. In Active Directory Users and Computers MMC snap-in, choose Advanced Features from the View menu.
2. Right-click on the user object, select Properties, and then click the Exchange Advanced tab.
3. Click the Protocol Settings button.
4. Double-click HTTP.
5. On the dialog box that opens, clear the Enable for mailbox check box, then click OK.

Note that this will not disable Exchange 2000 Outlook Web Access.

## User Cannot Log on to Outlook Web Access After Mailbox Moves

After you move a user's mailbox between Exchange 2000 stores or servers, the user may experience problems with Outlook Web Access. After connecting once to the affected mailbox with a Windows or Macintosh Outlook 2000 or Outlook 98 client, Outlook Web Access will work correctly.

# Connectivity and Migration

## Instances of Modified Recurring Lotus Notes Meetings Not Delivered

If a user reschedules a recurring meeting in Lotus Notes, Exchange meeting attendees will receive a reschedule only for the specific occurrence of the meeting that was edited in Lotus Notes rather than for all recurrences.

# Instant Messaging

## The Directory Service Client or Microsoft Active Directory Services Interfaces 2.5 are Required for Search and SMTP-based Addressing

If you are running Instant Messaging on a computer running Windows NT 4.0, Windows 95, or Windows 98, and you do not have the Directory Service Client or the Microsoft Active Directory Services Interfaces 2.5 installed, client functionality such as search, and SMTP-based addressing will not be enabled. For Windows NT 4.0 systems you will need to install the Directory Service Client or the Microsoft Active Directory Services Interfaces 2.5. Microsoft Active Directory Services Interfaces 2.5 can be installed from http://www.microsoft.com/ntserver/nts/downloads/other/adsi25/x86.asp. Windows 95/98 systems will require only the Directory Service Client. You can install the Directory Service Client from the Clients\Win9x\ directory on the the Windows 2000 CD.

NOTE: The Directory Service Client does not currently work along side the Microsoft WinSock Proxy Client for the Windows 95/98 systems. You must only have the Directory Service Client installed if you want search and SMTP-based addressing to work with the Exchange Instant Messaging Service